## x2goserver-4.0.1.6.tar.gz

=== x2goserver-extensions/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
#SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
#SBIN_SCRIPTS=$(shell cd sbin && echo *)
#LIB_FILES=$(shell cd lib && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features .placeholder)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = man2html
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-indep

build-indep: build_man2html

build-arch:

build_man2html:
	mkdir -p $(MAN2HTML_DEST)
	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
#	$(INSTALL_DIR) $(DESTDIR)$(SBINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-start.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-start.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-start.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-resume.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) bin/*                $(DESTDIR)$(BINDIR)/
#	$(INSTALL_PROGRAM) sbin/*               $(DESTDIR)$(SBINDIR)/
	$(INSTALL_FILE) lib/extensions/pre-start.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-start.d/
	$(INSTALL_FILE) lib/extensions/post-start.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-start.d/
	$(INSTALL_FILE) lib/extensions/fail-start.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-start.d/
	$(INSTALL_FILE) lib/extensions/pre-resume.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d/
	$(INSTALL_FILE) lib/extensions/post-resume.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-resume.d/
	$(INSTALL_FILE) lib/extensions/fail-resume.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d/
	$(INSTALL_FILE) lib/extensions/pre-suspend.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d/
	$(INSTALL_FILE) lib/extensions/post-suspend.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d/
	$(INSTALL_FILE) lib/extensions/fail-suspend.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d/
	$(INSTALL_FILE) lib/extensions/pre-terminate.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d/
	$(INSTALL_FILE) lib/extensions/post-terminate.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d/
	$(INSTALL_FILE) lib/extensions/fail-terminate.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d/
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:
#	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
#	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/x2gosql
#	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/x2gosql/passwords
#	$(INSTALL_FILE) etc/x2goserver.conf     $(DESTDIR)$(ETCDIR)/
#	$(INSTALL_FILE) etc/x2gosql/sql         $(DESTDIR)$(ETCDIR)/x2gosql

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-extensions     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-extensions

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
#	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SBINDIR)/$$file; done
#	for file in $(LIB_FILES); do $(RM_FILE) $(DESTDIR)$(LIBDIR)/$$file; done
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/ || true
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-start.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-start.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-start.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-resume.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d/.placeholder
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-start.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-start.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-start.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-resume.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d/
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:
#	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goserver.conf
#	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2gosql/sql
#	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true
#	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql/passwords || true
#	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-extensions
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-fmbindings/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
#SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
#SBIN_SCRIPTS=$(shell cd sbin && echo *)
#LIB_FILES=$(shell cd lib && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = man2html
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-indep

build-indep: build_man2html

build-arch:

build_man2html:
	mkdir -p $(MAN2HTML_DEST)
	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2go/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-fmbindings     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-fmbindings

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-fmbindings
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-printing/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
#SBINDIR=$(PREFIX)/sbin
#LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
#SBIN_SCRIPTS=$(shell cd sbin && echo *)
#LIB_FILES=$(shell cd lib && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = man2html
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-indep

build-indep: build_man2html

build-arch:

build_man2html:
	mkdir -p $(MAN2HTML_DEST)
	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
#	$(INSTALL_DIR) $(DESTDIR)$(SBINDIR)
#	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_PROGRAM) bin/*                $(DESTDIR)$(BINDIR)/
#	$(INSTALL_PROGRAM) sbin/*               $(DESTDIR)$(SBINDIR)/
#	$(INSTALL_FILE) lib/*                   $(DESTDIR)$(LIBDIR)/
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:
#	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
#	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/x2gosql
#	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/x2gosql/passwords
#	$(INSTALL_FILE) etc/x2goserver.conf     $(DESTDIR)$(ETCDIR)/
#	$(INSTALL_FILE) etc/x2gosql/sql         $(DESTDIR)$(ETCDIR)/x2gosql

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-printing     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-printing

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
#	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SBINDIR)/$$file; done
#	for file in $(LIB_FILES); do $(RM_FILE) $(DESTDIR)$(LIBDIR)/$$file; done
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:
#	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goserver.conf
#	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2gosql/sql
#	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true
#	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql/passwords || true
#	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-printing
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-xsession/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_SYMLINK=ln -s -f
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
#BINDIR=$(PREFIX)/bin
#SBINDIR=$(PREFIX)/sbin
#LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

#BIN_SCRIPTS=$(shell cd bin && echo *)
#SBIN_SCRIPTS=$(shell cd sbin && echo *)
#LIB_FILES=$(shell cd lib && echo *)
ETC_FILES=$(shell cd etc && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

#man_pages = `cd man && find * -type f`

#MAN2HTML_BIN  = man2html
#MAN2HTML_SRC  = man
#MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-indep

build-indep: build_man2html

build-arch:

build_man2html:
#	mkdir -p $(MAN2HTML_DEST)
#	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
#	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done

clean: clean_man2html

clean_man2html:
#	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
#	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
#	$(INSTALL_DIR) $(DESTDIR)$(SBINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
#	$(INSTALL_PROGRAM) bin/*                $(DESTDIR)$(BINDIR)/
#	$(INSTALL_PROGRAM) sbin/*               $(DESTDIR)$(SBINDIR)/
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
#       provide target dirs for X11 related symlinks
	mkdir -p $(DESTDIR)/etc/X11/Xsession.d
	touch $(DESTDIR)/etc/X11/Xsession.options
	$(INSTALL_FILE) etc/Xsession                    $(DESTDIR)$(ETCDIR)/
	$(INSTALL_SYMLINK) /etc/X11/Xresources          $(DESTDIR)$(ETCDIR)/
	$(INSTALL_SYMLINK) /etc/X11/Xsession.d          $(DESTDIR)$(ETCDIR)/
	$(INSTALL_SYMLINK) /etc/X11/Xsession.options    $(DESTDIR)$(ETCDIR)/


install_man:
#	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
#	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
#	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
#	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-xsession     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
#	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
#	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SBINDIR)/$$file; done
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:
	for file in $(ETC_FILES); do $(RM_FILE) $(DESTDIR)$(ETCDIR)/$$file; done

uninstall_man:
#	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
#	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
#	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

CC      ?= gcc
CFLAGS  += -fPIE
LDFLAGS += -pie

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib/x2go
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=$(shell cd lib && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = man2html
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch: build_setgidwrappers

build_setgidwrappers:
	$(CC) $(CFLAGS) $(LDFLAGS) -DTRUSTED_BINARY=\"$(LIBDIR)/x2gosqlitewrapper.pl\" -o x2gosqlitewrapper x2gosqlitewrapper.c

build-indep: build_man2html

build_man2html:
	mkdir -p $(MAN2HTML_DEST)
	for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done
	for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done

clean: clean_arch clean_man2html

clean_arch:
	rm -f x2gosqlitewrapper

clean_man2html:
	rm -Rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SBINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) bin/*                $(DESTDIR)$(BINDIR)/
	$(INSTALL_PROGRAM) sbin/*               $(DESTDIR)$(SBINDIR)/
	$(INSTALL_PROGRAM) x2gosqlitewrapper       $(DESTDIR)$(LIBDIR)/
	$(INSTALL_PROGRAM) lib/*                   $(DESTDIR)$(LIBDIR)/
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/
	chmod a-x $(DESTDIR)$(LIBDIR)/*.pm
	getent group x2gouser &>/dev/null && chown root:x2gouser $(DESTDIR)$(LIBDIR)/x2gosqlitewrapper || true
	chmod 2755 $(DESTDIR)$(LIBDIR)/x2gosqlitewrapper

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/x2gosql
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/x2gosql/passwords
	$(INSTALL_FILE) etc/x2goserver.conf     $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2goagent.options   $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2gosql/sql         $(DESTDIR)$(ETCDIR)/x2gosql
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/x2go_logout.d
	$(INSTALL_FILE) etc/x2go_logout     $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2go_logout.d/* $(DESTDIR)$(ETCDIR)/x2go_logout.d/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SBINDIR)/$$file; done
	for file in $(LIB_FILES); do $(RM_FILE) $(DESTDIR)$(LIBDIR)/$$file; done
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/x2gosqlitewrapper
	$(RM_DIR) $(DESTDIR)$(LIBDIR) || true
	$(RM_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d || true
	$(RM_DIR) $(DESTDIR)$(SHAREDIR) || true

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goserver.conf
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2gosql/sql
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql/passwords || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== debian/changelog ===
x2goserver (4.0.1.6-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.6):
    - Fix client-side unmounting of shared folders.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 13:37:12 +0200

x2goserver (4.0.1.5-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.5):
    - Do not hard-code paths to NX code in x2goruncommand anymore. Use
      x2gopath instead. (Fixes: #273).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 02:06:47 +0200

x2goserver (4.0.1.4-0~x2go1) unstable; urgency=low

  [ Mike Gabriel ]
  * New upstream version (4.0.1.4):
    - Multiply query USED_DISPLAYS and USED_PORTS in x2gostartagent to minimize
      race conditions in cases where many clients launch session simultaneously.
    - Make X2Go Server aware of the MATE desktop environment.
    - x2goumount-session: allow args $X2GO_SESSION <server-mount-point> in
      addition to $X2GO_SESSION <client-directory>.

  [ Rok Mandeljc ]
  * New upstream version (4.0.1.4):
    - The gnome-terminal TERMINAL returns immediately and runs in background
      starting with GNOME 3.8. Thus, set IMEXIT to false for gnome-terminal.
      (Fixes: #268).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 27 Jul 2013 00:08:15 +0200

x2goserver (4.0.1.3-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.3):
    - Improve session status management in x2gocleansessions.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 22 Jun 2013 14:32:41 +0200

x2goserver (4.0.1.2-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.2):
    - Accelerate resuming of sessions. Fix failures when resuming sessions that
      result from the latest changes in x2gocleansessions. (Fixes: #247).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 22 Jun 2013 11:48:09 +0200

x2goserver (4.0.1.1-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.1):
    - Syntax fix in x2goumount-session.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 13 Jun 2013 13:12:54 +0200

x2goserver (4.0.1.0-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.1.0):
    - Make x2gomountdirs / x2goumount-session UNC path aware.
    - Add support to x2gocleansessions to suspend session via state changes
      in the session DB.
    - Add support for terminating sessions via the session DB.
    - Raise the frequency of the x2gocleansessions loop to every two seconds.
    - Send SIGKILL to blocked X-Server (x2goagent) processes, if they do not
      disappear within 20secs. (Fixes: #32).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 07 Jun 2013 23:07:40 +0200

x2goserver (4.0.0.5-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.0.5):
    - Make x2goumount-session tolerant towards usernames that contain spaces
      (Fixes: #202).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 01:47:03 +0200

x2goserver (4.0.0.4-0~x2go1) unstable; urgency=low

  [ Jan Engelhardt ]
  * New upstream version (4.0.0.4):
    - Fix Perl include path for X2Go related Perl packages (which do
      not get installed to some system default path for this version
      of x2goserver).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 13 Jun 2013 13:10:28 +0200

x2goserver (4.0.0.3-0~x2go1) unstable; urgency=low

  * New upstream version (4.0.0.3):
    - Make pre-set DESTDIR and PREFIX traverse through all Makefiles.
      Do not include DESTDIR in Makefile-hard-coded path in x2gosqlitewrapper.
    - Partially revert USED_PORTS detection code back to the old-style awk-way.
      (Fixes: #155).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 07 Jun 2013 23:03:20 +0200

x2goserver (4.0.0.2-0~x2go1) unstable; urgency=low

  [ Matthew L. Dailey ]
  * New upstream version (4.0.0.2):
    - Do parse profile/xprofile files in X2Go's Xsession file. (Fixes: #149).

  [ Jan Engelhardt ]
  * New upstream version (4.0.0.2):
    - Use x2gopath in Perl scripts to set the lib path. (Fixes: #103).

  [ Mike Gabriel ]
  * New upstream version (4.0.0.2):
    - Use make_path from File::Path in x2godbadmin to create user directory if
      not present. (Fixes: #200).
    - Security fix for setgid wrapper x2gosqlitewrapper.c. Hard-code path to
      x2gosqlitewrapper.pl during build via defining a macro in the Makefile.
      Thanks to Richard Weinberger for spotting this!!!
  /debian/control:
    + Let x2goserver bin:package depend on xfonts-base and fontconfig. (Fixes:
      #163).
    + Create session log symlink after launching x2goagent. Fix order of target
      and symlink name when executing the command.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 19 May 2013 00:54:34 +0200

x2goserver (4.0.0.1-0~x2go1) unstable; urgency=low

  [ Bernard Cafarelli ]
  * New upstream version (4.0.0.1):
    - Make CFLAGS usable in x2goserver. (Fixes: #83).

  [ Matthew L. Dailey ]
  * New upstream version (4.0.0.1):
    - Fix command/version detection for GNOME/Unity on Ubuntu. (Fixes: #105).

  [ Mike Gabriel ]
  * New upstream version (4.0.0.1):
    - Allow for deploying X2Go Published Applications system-wide on a
      per-user basis (in /etc/x2go/applications-per-user/<username>).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Mar 2013 13:52:43 +0100

x2goserver (4.0.0.0-0~x2go1) unstable; urgency=low

  [ Jan Engelhardt ]
  * New upstream version (4.0.0.0):
    - Replace script x2gobasepath by script x2gopath that makes it much easier
      for distro packagers to tweak the installation paths of X2Go Server
      components.

  [ Mike Gabriel ]
  * Bump version to 4.0.0.0 (for Baikal bundle release).
  * New upstream version (4.0.0.0):
    - Adapt Xinerama path in x2gopath: use $base for detecting the path to the
      Xinerama libs, as well, as is done with all the other paths.
    - Fix mounting of multiple paths, thanks to Pascal Vibet. (Fixes: #67).

  [ Orion Poplawski ]


=== debian/control ===
Source: x2goserver
Section: x11
Priority: optional 
Maintainer: X2Go Developers <x2go-dev@lists.berlios.de>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>,
Build-Depends: 
 debhelper (>= 7.0.50~),
 man2html-base | man2html
Standards-Version: 3.9.3
Homepage: http://code.x2go.org/releases/source/x2goserver
Vcs-Git: git://code.x2go.org/x2goserver.git
Vcs-Browser: http://code.x2go.org/gitweb?p=x2goserver.git;a=summary

Package: x2goserver
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 x2goagent (>= 2:3.5.0.15-0~),
 lsof,
 bc,
 openssh-client,
 openssh-server,
 libconfig-simple-perl,
 makepasswd,
 libdbd-pg-perl,
 libdbd-sqlite3-perl,
 libfile-basedir-perl,
 adduser,
 xauth,
 psmisc,
 net-tools
Recommends:
 sshfs,
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 xfonts-base,
 fontconfig,
 xinit,
 x2goserver-extensions (= ${source:Version})
Suggests:
 x2goserver-printing (= ${source:Version}),
 x2goserver-compat (= ${source:Version}),
 x2goserver-xsession (= ${source:Version}),
 x2goserver-fmbindings (= ${source:Version}),
 x2goserver-pyhoca (= ${source:Version}),
 rdesktop,
 pulseaudio-utils
Breaks:
 x2goserver-one,
 x2goserver-home,
Replaces:
 x2goserver-one,
 x2goserver-home,
Description: X2Go server daemon scripts
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the main daemon and tools for
 X2Go server-side session administrations.
 .
 The x2goserver package provides full functionality
 for running the X2Go project's legacy X2Go client
 (x2goclient) on the client-side.
 .
 However, if you intend using other client implementations 
 of X2Go make sure that you also have X2Go server
 extensions package (x2goserver-extensions) installed.

Package: x2goserver-printing
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
 adduser
Breaks:
 x2goprint
Replaces:
 x2goprint
Suggests:
 cups-x2go
Description: X2Go server daemon scripts (printing)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go server printing package provides
 client-side printing support for X2Go.
 .
 This package has to be installed on X2Go servers
 that shall be able to pass X2Go print jobs on
 to the X2Go client.
 .
 This package co-operates with the cups-x2go CUPS
 backend. If CUPS server and X2Go server are hosted
 on different machines, then make sure you install
 this package on the X2Go server/s (and the cups-x2go
 package on the CUPS server).

Package: x2goserver-compat
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~)
Description: X2Go server daemon scripts (backwards compatitbity to old client versions)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains compatitbility scripts to allow
 old x2goclient versions to connect to your X2Go server.

Package: x2goserver-extensions
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
 x11-xkb-utils
Description: X2Go server daemon scripts (extensions)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go server extension namespace offers contributors
 to add script functionality to X2Go that is not
 needed/ignored by the legacy X2Go client (x2goclient).
 .
 Make sure you have this package installed on your server
 if you want non-legacy X2Go clients to be able to
 access your server without lack of features.

Package: x2goserver-xsession
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
 x11-common
Description: X2Go server daemon scripts (Xsession runner)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This X2Go server add-on enables Xsession script handling
 when starting desktop sessions with X2Go.
 .
 Amongst others the parsing of Xsession scripts will
 enable desktop-profiles, ssh-agent startups, gpgagent
 startups and many more Xsession related features on 
 X2Go session login automagically.

Package: x2goserver-fmbindings
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
 desktop-file-utils,
 xdg-utils
Description: Generic (freedesktop-based) file manager bindings for X2Go
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2goserver-fmbindings contains generic MIME type information
 for X2Go's local folder sharing. It can be used with all
 freedesktop.org compliant desktop shells.
 .
 However, this package will be superseded by other, more specific
 destkop binding components, if installed and being used with the
 corresponding desktop shell:
    - under LXDE by x2golxdebindings
    - under GNOME by x2gognomebindings
    - under KDE4 by plasma-widget-x2go

Package: x2goserver-pyhoca
Architecture: all
Depends:
 ${misc:Depends},
 x2goserver (>= ${source:Version}), x2goserver (<< ${source:Version}.1~),
Description: X2Go server daemon scripts (add-ons for pyhoca client)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick
 .
 This X2Go server add-on adds extra functionality when using
 the pyhoca client (GUI or cmdline tool). The installation
 of this package is completely optional, the pyhoca client
 will work without.
 .
 Functionalities this package adds:
    - renaming of session window titles
    - setting detailled X keyboard parameters

=== debian/rules ===
#!/usr/bin/make -f

%:
	PREFIX=/usr dh $@

override_dh_auto_install:
	PREFIX=/usr make -f Makefile build-arch

override_dh_auto_clean:
	rm -fv x2gosqlitewrapper
	rm -Rfv x2goserver/.build_html
	rm -Rfv x2goserver-extensions/.build_html
	PREFIX=/usr dh_auto_clean
